## git-cola 1.9.3

=== Makefile ===
# The default target of this Makefile is...
all::

# The external commands used by this Makefile are...
CTAGS = ctags
CP = cp
FIND = find
GIT = git
GZIP = gzip
LN = ln
MKDIR_P = mkdir -p
NOSETESTS = nosetests
PYTHON = python
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
TAR = tar

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
coladir = $(prefix)/share/git-cola/lib
darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
cola_dist := $(cola_base)-$(cola_version)

test_flags =
all_test_flags = --with-doctest --exclude=sphinxtogithub $(test_flags)

# User customizations
-include config.mak

setup_args = --prefix=$(prefix)
setup_args += --quiet
setup_args += --force
setup_args += --install-scripts=$(bindir)
setup_args += --record=build/MANIFEST
setup_args += --install-lib=$(coladir)
ifdef DESTDIR
    setup_args += --root=$(DESTDIR)
    export DESTDIR
endif

all::
	$(PYTHON) setup.py build

install: all
	$(PYTHON) setup.py install $(setup_args)
	(cd $(DESTDIR)$(bindir) && \
	! test -e cola && $(LN) -s git-cola cola) || true
	$(RM_R) $(DESTDIR)$(coladir)/git_cola*
	$(RM_R) git_cola.egg-info

# Maintainer's dist target
dist:
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
		$(GZIP) -f -9 - >$(cola_dist).tar.gz

doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all

html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html

install-doc:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install

install-html:
	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html

uninstall:
	$(RM) $(DESTDIR)$(prefix)/bin/git-cola
	$(RM) $(DESTDIR)$(prefix)/bin/git-dag
	$(RM) $(DESTDIR)$(prefix)/bin/cola
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null || true
	$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null || true

test: all
	$(NOSETESTS) $(all_test_flags)

coverage:
	$(NOSETESTS) --with-coverage --cover-package=cola $(all_test_flags)

clean:
	$(MAKE) -C share/doc/git-cola clean
	$(FIND) . -name .noseids -print0 | xargs -0 rm -f
	$(FIND) . -name '*.py[co]' -print0 | xargs -0 rm -f
	$(RM_R) build dist tmp tags git-cola.app
	$(RM_R) share/locale

tags:
	$(FIND) . -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags

pot:
	$(PYTHON) setup.py build_pot -N -d .

mo:
	$(PYTHON) setup.py build_mo -f

git-cola.app:
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app)/Contents/Resources
	$(CP) contrib/darwin/Info.plist darwin/PkgInfo $(cola_app)/Contents
	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
	$(LN) -sf $(darwin_python) $(cola_app)/Contents/Resources/git-cola

app-tarball: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)

.PHONY: all install doc install-doc install-html test clean tags
.PHONY: git-cola.app app-tarball

=== share/doc/git-cola/Makefile ===
prefix ?= $(CURDIR)
docdir ?= $(prefix)/share/doc/git-cola
htmldir ?= $(docdir)/html
SED ?= sed
RSYNC ?= rsync
# DESTDIR =
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build
	$(MAKE) -f Makefile.asciidoc clean

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/git-cola.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/git-cola.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

all: html
	$(MAKE) -f Makefile.asciidoc all

install: install-html install-man
	test  -d $(DESTDIR)$(docdir) || mkdir -p $(DESTDIR)$(docdir)
	cp *.txt $(DESTDIR)$(docdir)
	cp *.html $(DESTDIR)$(docdir)

install-html: html
	test  -d $(DESTDIR)$(htmldir) || mkdir -p $(DESTDIR)$(htmldir)
	$(RSYNC) -ar --delete _build/html/ $(DESTDIR)$(htmldir)/
	$(MAKE) -f Makefile.asciidoc prefix=$(prefix) install-html

install-man:
	$(MAKE) -f Makefile.asciidoc prefix=$(prefix) install

=== debian/changelog ===
git-cola (1.9.3-1) unstable; urgency=low

  * New upstream release.
  * Update copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Dec 2013 21:02:42 +0100

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 7.0.50), python-nose
Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.9.5
Homepage: http://git-cola.github.com/
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore
Recommends: gitk, xxdiff
Suggests: python-pyinotify, python-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=git-cola

override_dh_auto_test:

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	[ ! -f Makefile ] || $(MAKE) clean

install: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) prefix=/usr install install-doc install-html
	find . -name "*.pyc" -delete

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installmenu
	dh_python2
#	dh_link /usr/share/javascript/jquery/jquery.js \
#		/usr/share/doc/git-cola/html/_static/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/git-cola/html/static/jquery.js
	dh_link /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/git-cola/html/static/underscore.js
	dh_strip
	dh_compress -Xobjects.inv
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install override_dh_auto_test

## git-cola 2.0.1

=== debian/changelog ===
git-cola (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 15:10:46 +0100

git-cola (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Feb 2014 13:13:33 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #export DH_VERBOSE=1
 
 package=git-cola
+PKGDIR=$(CURDIR)/debian/$(package)
 
 override_dh_auto_test:
 
@@ -28,8 +29,9 @@
 	dh_testroot
 	dh_install
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/$(package) prefix=/usr install install-doc install-html
+	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
 	find . -name "*.pyc" -delete
+	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -43,8 +45,10 @@
 	dh_python2
 #	dh_link /usr/share/javascript/jquery/jquery.js \
 #		/usr/share/doc/git-cola/html/_static/jquery.js
+	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
 	dh_link /usr/share/javascript/jquery/jquery.js \
 		/usr/share/doc/git-cola/html/static/jquery.js
+	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
 	dh_link /usr/share/javascript/underscore/underscore.js \
 		/usr/share/doc/git-cola/html/static/underscore.js
 	dh_strip

## git-cola 2.0.6

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,7 @@
     setup_args += --root=$(DESTDIR)
     export DESTDIR
 endif
+export prefix
 
 all::
 	$(PYTHON) setup.py build
@@ -62,34 +63,41 @@
 		$(GZIP) -f -9 - >$(cola_dist).tar.gz
 
 doc:
-	$(MAKE) -C share/doc/git-cola prefix=$(prefix) all
+	$(MAKE) -C share/doc/git-cola all
 
 html:
-	$(MAKE) -C share/doc/git-cola prefix=$(prefix) html
+	$(MAKE) -C share/doc/git-cola html
+
+man:
+	$(MAKE) -C share/doc/git-cola man
 
 install-doc:
-	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install
+	$(MAKE) -C share/doc/git-cola install
 
 install-html:
-	$(MAKE) -C share/doc/git-cola prefix=$(prefix) install-html
+	$(MAKE) -C share/doc/git-cola install-html
+
+install-man:
+	$(MAKE) -C share/doc/git-cola install-man
 
 uninstall:
 	$(RM) $(DESTDIR)$(prefix)/bin/git-cola
 	$(RM) $(DESTDIR)$(prefix)/bin/git-dag
 	$(RM) $(DESTDIR)$(prefix)/bin/cola
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
+	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola-folder-handler.desktop
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
 	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
 	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
 	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
-	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null || true
-	$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null || true
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null
 
 test: all
 	$(NOSETESTS) $(all_test_flags)
@@ -101,14 +109,14 @@
 	$(MAKE) -C share/doc/git-cola clean
 	$(FIND) . -name .noseids -print0 | xargs -0 rm -f
 	$(FIND) . -name '*.py[co]' -print0 | xargs -0 rm -f
-	$(RM_R) build dist tmp tags git-cola.app
+	$(RM_R) build dist tags git-cola.app
 	$(RM_R) share/locale
 
 tags:
 	$(FIND) . -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 
 pot:
-	$(PYTHON) setup.py build_pot -N -d .
+	$(PYTHON) setup.py build_pot -N -d po
 
 mo:
 	$(PYTHON) setup.py build_mo -f
@@ -116,7 +124,7 @@
 git-cola.app:
 	$(MKDIR_P) $(cola_app)/Contents/MacOS
 	$(MKDIR_P) $(cola_app)/Contents/Resources
-	$(CP) contrib/darwin/Info.plist darwin/PkgInfo $(cola_app)/Contents
+	$(CP) contrib/darwin/Info.plist contrib/darwin/PkgInfo $(cola_app)/Contents
 	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
 	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
 	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc

=== share/doc/git-cola/Makefile ===
prefix ?= $(CURDIR)
docdir ?= $(prefix)/share/doc/git-cola
htmldir ?= $(docdir)/html
mandir ?= $(prefix)/share/man/man1
# DESTDIR =

SED ?= sed
RSYNC ?= rsync
MKDIR_P ?= mkdir -p

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: all help clean html man dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

# The default target of this makefile is...
all:: html man

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  man       to make manual pages"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/doctrees _build/man _build/html/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) _build/man

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest

install: install-html install-man
	$(MKDIR_P) $(DESTDIR)$(docdir)
	cp *.rst $(DESTDIR)$(docdir)

install-html: html
	$(MKDIR_P) $(DESTDIR)$(htmldir)
	$(RSYNC) -ar --delete _build/html/ $(DESTDIR)$(htmldir)/
	cp *.html $(DESTDIR)$(docdir)

install-man: man
	$(MKDIR_P) $(DESTDIR)$(mandir)
	cp _build/man/git-cola.1 $(DESTDIR)$(mandir)
	cp _build/man/git-dag.1 $(DESTDIR)$(mandir)

=== debian/changelog ===
git-cola (2.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2014 09:21:48 +0000

git-cola (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 31 Aug 2014 21:01:12 +0000

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	dh_testroot
 	dh_clean build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
+	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo
 
 install: build
 	dh_testdir
@@ -30,6 +31,7 @@
 	dh_install
 	dh_installdirs
 	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
+	rm $(PKGDIR)/usr/share/doc/git-cola/html/.gitignore
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py

## git-cola 2.1.2

=== debian/changelog ===
git-cola (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Use local copy of Modernizr JS library.
  * Correct copyright.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2015 18:12:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
 
 Package: git-cola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore
+Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
 Description: highly caffeinated git GUI

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 package=git-cola
 PKGDIR=$(CURDIR)/debian/$(package)
+HTMLDIR=$(PKGDIR)/usr/share/doc/git-cola/html
 
 override_dh_auto_test:
 
@@ -53,6 +54,8 @@
 	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/underscore.js
 	dh_link /usr/share/javascript/underscore/underscore.js \
 		/usr/share/doc/git-cola/html/static/underscore.js
+	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
+		$(HTMLDIR)/*.html $(HTMLDIR)/relnotes/*.html
 	dh_strip
 	dh_compress -Xobjects.inv
 	dh_fixperms

## git-cola 2.2.1

=== debian/changelog ===
git-cola (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add python-sip to depends (closes: #789257).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Jun 2015 12:45:29 +0000

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	dh_install
 	dh_installdirs
 	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
-	rm $(PKGDIR)/usr/share/doc/git-cola/html/.gitignore
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py

## git-cola 2.3

=== debian/changelog ===
git-cola (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Sep 2015 16:46:43 +0200

## git-cola 2.5

=== Makefile ===
# The default target of this Makefile is...
all::

# The external commands used by this Makefile are...
CTAGS = ctags
CP = cp
FIND = find
GIT = git
GZIP = gzip
LN = ln
LN_S = $(LN) -s -f
MARKDOWN = markdown
MKDIR_P = mkdir -p
NOSETESTS = nosetests
PYTHON = python
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
TAR = tar

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
bindir = $(prefix)/bin
datadir = $(prefix)/share/git-cola
coladir = $(datadir)/lib
hicolordir = $(prefix)/share/icons/hicolor/scalable/apps
darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
cola_dist := $(cola_base)-$(cola_version)

# Allows e.g. "make test flags=--stop"
flags =
NOSE ?= $(NOSETESTS) --with-doctest --exclude=sphinxtogithub $(flags)

SETUP ?= $(PYTHON) setup.py
setup_args += --prefix=$(prefix)
setup_args += --quiet
setup_args += --force
setup_args += --install-scripts=$(bindir)
setup_args += --record=build/MANIFEST
setup_args += --install-lib=$(coladir)
ifdef DESTDIR
    setup_args += --root=$(DESTDIR)
    export DESTDIR
endif
export prefix

PYTHON_DIRS = test
PYTHON_DIRS += cola

# User customizations
-include config.mak

all:: build
.PHONY: all

build:
	$(SETUP) build
.PHONY: build

install: all
	$(SETUP) install $(setup_args)
	$(MKDIR_P) $(DESTDIR)$(hicolordir)
	$(LN_S) $(datadir)/icons/git-cola.svg $(DESTDIR)$(hicolordir)/git-cola.svg
	$(LN_S) git-cola $(DESTDIR)$(bindir)/cola
	$(RM_R) $(DESTDIR)$(coladir)/git_cola*
	$(RM_R) git_cola.egg-info
.PHONY: install

# Maintainer's dist target
dist:
	$(GIT) archive --format=tar --prefix=$(cola_dist)/ HEAD^{tree} | \
		$(GZIP) -f -9 - >$(cola_dist).tar.gz
.PHONY: dist

doc:
	$(MAKE) -C share/doc/git-cola all
.PHONY: doc

html:
	$(MAKE) -C share/doc/git-cola html
.PHONY: html

man:
	$(MAKE) -C share/doc/git-cola man
.PHONY: man

install-doc:
	$(MAKE) -C share/doc/git-cola install
.PHONY: install-doc

install-html:
	$(MAKE) -C share/doc/git-cola install-html
.PHONY: install-html

install-man:
	$(MAKE) -C share/doc/git-cola install-man
.PHONY: install-man

uninstall:
	$(RM) $(DESTDIR)$(prefix)/bin/git-cola
	$(RM) $(DESTDIR)$(prefix)/bin/git-dag
	$(RM) $(DESTDIR)$(prefix)/bin/cola
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola-folder-handler.desktop
	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
	$(RM) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps/git-cola.svg
	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null
	-$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null
.PHONY: uninstall

test: all
	$(NOSE) $(PYTHON_DIRS)
.PHONY: test

coverage:
	$(NOSE) --with-coverage --cover-package=cola $(PYTHON_DIRS)
.PHONY: coverage

clean:
	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
	$(RM_R) build dist tags git-cola.app
	$(RM_R) share/locale
	$(MAKE) -C share/doc/git-cola clean
.PHONY: clean

tags:
	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
.PHONY: tags

pot:
	$(SETUP) build_pot -N -d po
.PHONY: pot

mo:
	$(SETUP) build_mo -f
.PHONY: mo

git-cola.app:
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app)/Contents/Resources
	$(CP) contrib/darwin/Info.plist contrib/darwin/PkgInfo $(cola_app)/Contents
	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
	$(LN_S) $(darwin_python) $(cola_app)/Contents/Resources/git-cola
.PHONY: git-cola.app

app-tarball: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)
.PHONY: app-tarball

# Preview the markdown using "make README.html"
%.html: %.md
	$(MARKDOWN) $< >$@

=== share/doc/git-cola/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 SED ?= sed
 RSYNC ?= rsync
 MKDIR_P ?= mkdir -p
+INSTALL ?= install
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
@@ -18,7 +19,9 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: all help clean html man dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: all help clean html man dirhtml pickle json
+.PHONY: htmlhelp qthelp latex changes linkcheck doctest
+.PHONY: install install-files install-html install-man
 
 # The default target of this makefile is...
 all:: html man
@@ -73,16 +76,18 @@
 doctest:
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
 
-install: install-html install-man
+install: install-files install-html install-man
+
+install-files:
 	$(MKDIR_P) $(DESTDIR)$(docdir)
-	cp *.rst $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 *.html $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 *.rst $(DESTDIR)$(docdir)
 
-install-html: html
+install-html: install-files html
 	$(MKDIR_P) $(DESTDIR)$(htmldir)
-	$(RSYNC) -ar --delete _build/html/ $(DESTDIR)$(htmldir)/
-	cp *.html $(DESTDIR)$(docdir)
+	$(RSYNC) -r --delete --delete-excluded --exclude=.buildinfo --exclude=.gitignore _build/html/ $(DESTDIR)$(htmldir)/
 
 install-man: man
 	$(MKDIR_P) $(DESTDIR)$(mandir)
-	cp _build/man/git-cola.1 $(DESTDIR)$(mandir)
-	cp _build/man/git-dag.1 $(DESTDIR)$(mandir)
+	$(INSTALL) -m 644 _build/man/git-cola.1 $(DESTDIR)$(mandir)
+	$(INSTALL) -m 644 _build/man/git-dag.1 $(DESTDIR)$(mandir)

=== debian/changelog ===
git-cola (2.5-1) unstable; urgency=low

  * New upstream release.
  * Remove own menu file in favor to desktop file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 19:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
+Depends: ${python:Depends}, ${misc:Depends}, python-qt4, python-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
 Recommends: gitk, xxdiff
 Suggests: python-pyinotify, python-simplejson
 Description: highly caffeinated git GUI

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	dh_installmenu
 	dh_python2
 #	dh_link /usr/share/javascript/jquery/jquery.js \
 #		/usr/share/doc/git-cola/html/_static/jquery.js

## git-cola 2.6

=== debian/changelog ===
git-cola (2.6-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 May 2016 18:49:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 7.0.50), python-nose
 Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

## git-cola 2.7

=== debian/changelog ===
git-cola (2.7-1) unstable; urgency=low

  * New upstream release.
  * Compile with PyQt5 .
  * Move to debhelper level 9 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Aug 2016 09:13:52 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 7.0.50), python-nose
-Build-Depends-Indep: python (>= 2.6.6-3~), pyqt4-dev-tools (>= 4.3), python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
+Build-Depends: debhelper (>= 9), python-nose
+Build-Depends-Indep: python (>= 2.6.6-3~), pyqt5-dev-tools, python-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 3.9.8
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git

## git-cola 2.8

=== debian/changelog ===
git-cola (2.8-1) unstable; urgency=low

  * Really compile with PyQt5 (closes: #834804).
  * Switch to Python 3 packaging (closes: #834805).
  * Update packaging to match this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Sep 2016 18:17:29 +0000

## git-cola 2.9.1

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 CTAGS = ctags
 CP = cp
 FIND = find
+FLAKE8 = flake8
 GIT = git
 GZIP = gzip
 LN = ln
@@ -12,11 +13,17 @@
 MARKDOWN = markdown
 MKDIR_P = mkdir -p
 NOSETESTS = nosetests
+PIP = pip
+PYLINT = pylint
 PYTHON = python
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
 TAR = tar
+
+# Flags
+FLAKE8_FLAGS = --max-line-length=80 --statistics --doctests --format=pylint
+PYLINT_FLAGS = --py3k --output-format=colorized --rcfile=.pylintrc
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -33,9 +40,13 @@
 cola_version = $(shell $(PYTHON) bin/git-cola version --brief)
 cola_dist := $(cola_base)-$(cola_version)
 
-# Allows e.g. "make test flags=--stop"
+NOSE_FLAGS = --with-doctest
+NOSE_FLAGS += --with-id
+NOSE_FLAGS += --exclude=sphinxtogithub
+NOSE_FLAGS += --exclude=extras
+# Allows "make test flags=--stop"
 flags =
-NOSE ?= $(NOSETESTS) --with-doctest --exclude=sphinxtogithub $(flags)
+NOSE ?= $(NOSETESTS) $(NOSE_FLAGS) $(flags)
 
 SETUP ?= $(PYTHON) setup.py
 setup_args += --prefix=$(prefix)
@@ -50,8 +61,21 @@
 endif
 export prefix
 
-PYTHON_DIRS = test
-PYTHON_DIRS += cola
+# If NO_VENDOR_LIBS is specified on the command line then pass it to setup.py
+ifdef NO_VENDOR_LIBS
+    setup_args += --no-vendor-libs
+endif
+
+PYTHON_DIRS = cola
+PYTHON_DIRS += test
+
+ALL_PYTHON_DIRS = $(PYTHON_DIRS)
+ALL_PYTHON_DIRS += extras
+
+PYTHON_SOURCES = bin/git-cola
+PYTHON_SOURCES += bin/git-dag
+PYTHON_SOURCES += share/git-cola/bin/git-xbase
+PYTHON_SOURCES += setup.py
 
 # User customizations
 -include config.mak
@@ -132,14 +156,14 @@
 .PHONY: coverage
 
 clean:
-	$(FIND) $(PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | xargs -0 rm -f
 	$(RM_R) build dist tags git-cola.app
 	$(RM_R) share/locale
 	$(MAKE) -C share/doc/git-cola clean
 .PHONY: clean
 
 tags:
-	$(FIND) $(PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
+	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 .PHONY: tags
 
 pot:
@@ -167,3 +191,16 @@
 # Preview the markdown using "make README.html"
 %.html: %.md
 	$(MARKDOWN) $< >$@
+
+flake8:
+	$(FLAKE8) $(FLAKE8_FLAGS) $(PYTHON_SOURCES) $(PYTHON_DIRS)
+.PHONY: flake8
+
+pylint:
+	$(PYLINT) $(PYLINT_FLAGS) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+.PHONY: pylint
+
+requirements:
+	$(PIP) install --requirement requirements.txt
+	$(PIP) install --requirement extras/requirements-dev.txt
+.PHONY: requirements

=== requirements.txt ===
argparse
qtpy
sphinx

=== debian/changelog ===
git-cola (2.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Nov 2016 17:18:22 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export GIT_COLA_NO_VENDOR_LIBS=1
 
 package=git-cola
 PKGDIR=$(CURDIR)/debian/$(package)
@@ -16,7 +18,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) all doc
+	PYTHON=python3 $(MAKE) all doc
 	touch $@
 
 clean:
@@ -31,19 +33,25 @@
 	dh_testroot
 	dh_install
 	dh_installdirs
-	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
+	PYTHON=python3 $(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install install-doc install-html
+#!/usr/bin/env python
+	sed -i 's|env python|env python3|' \
+		$(PKGDIR)/usr/share/git-cola/bin/git-xbase
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
+#	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/qtpy/py3compat.py
 
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
+	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
+		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	dh_python2
+	dh_python3
 #	dh_link /usr/share/javascript/jquery/jquery.js \
 #		/usr/share/doc/git-cola/html/_static/jquery.js
 	rm $(PKGDIR)/usr/share/doc/git-cola/html/static/jquery.js
@@ -53,7 +61,7 @@
 	dh_link /usr/share/javascript/underscore/underscore.js \
 		/usr/share/doc/git-cola/html/static/underscore.js
 	sed -i "s|https://cdnjs.\+modernizr.min.js|/usr/share/javascript/modernizr/modernizr.min.js|" \
-		$(HTMLDIR)/*.html $(HTMLDIR)/relnotes/*.html
+		$(HTMLDIR)/*.html
 	dh_strip
 	dh_compress -Xobjects.inv
 	dh_fixperms

## git-cola 2.10

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,8 @@
 PIP = pip
 PYLINT = pylint
 PYTHON = python
+PYTHON_CONFIG = python-config
+PYTHON_DARWIN_APP = $(shell $(PYTHON_CONFIG) --prefix)/Resources/Python.app/Contents/MacOS/Python
 RM = rm -f
 RM_R = rm -fr
 RMDIR = rmdir
@@ -23,7 +25,10 @@
 
 # Flags
 FLAKE8_FLAGS = --max-line-length=80 --statistics --doctests --format=pylint
-PYLINT_FLAGS = --py3k --output-format=colorized --rcfile=.pylintrc
+PYLINT_FLAGS = --rcfile=.pylintrc
+ifdef color
+    PYLINT_FLAGS += --output-format=colorized
+endif
 
 # These values can be overridden on the command-line or via config.mak
 prefix = $(HOME)
@@ -31,7 +36,6 @@
 datadir = $(prefix)/share/git-cola
 coladir = $(datadir)/lib
 hicolordir = $(prefix)/share/icons/hicolor/scalable/apps
-darwin_python = /System/Library/Frameworks/Python.framework/Resources/Python.app/Contents/MacOS/Python
 # DESTDIR =
 
 cola_base := git-cola
@@ -133,15 +137,22 @@
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola.desktop
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-cola-folder-handler.desktop
 	$(RM) $(DESTDIR)$(prefix)/share/applications/git-dag.desktop
+	$(RM) $(DESTDIR)$(prefix)/share/appdata/git-dag.appdata.xml
+	$(RM) $(DESTDIR)$(prefix)/share/appdata/git-cola.appdata.xml
 	$(RM) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps/git-cola.svg
+	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
 	$(RM_R) $(DESTDIR)$(prefix)/share/git-cola
-	$(RM_R) $(DESTDIR)$(prefix)/share/doc/git-cola
 	$(RM) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES/git-cola.mo
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/appdata 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/*/LC_MESSAGES 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale/* 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share/locale 2>/dev/null
-	-$(RMDIR) $(DESTDIR)$(prefix)/share/doc 2>/dev/null
-	-$(RMDIR) $(DESTDIR)$(prefix)/share/applications 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/apps 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor/scalable 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons/hicolor 2>/dev/null
+	-$(RMDIR) $(DESTDIR)$(prefix)/share/icons 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/share 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix)/bin 2>/dev/null
 	-$(RMDIR) $(DESTDIR)$(prefix) 2>/dev/null
@@ -166,12 +177,21 @@
 	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py' -print0 | xargs -0 $(CTAGS) -f tags
 .PHONY: tags
 
+# Update i18n files
+i18n: mo pot
+.PHONY: i18n
+
+i18n-update: i18n
+	git add po
+	git commit -sm'i18n: update translation template'
+.PHONY: i18n-update
+
 pot:
-	$(SETUP) build_pot -N -d po
+	$(SETUP) build_pot --no-lang --build-dir=po
 .PHONY: pot
 
 mo:
-	$(SETUP) build_mo -f
+	$(SETUP) build_mo --force
 .PHONY: mo
 
 git-cola.app:
@@ -181,7 +201,7 @@
 	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
 	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
 	$(MAKE) prefix=$(cola_app)/Contents/Resources install install-doc
-	$(LN_S) $(darwin_python) $(cola_app)/Contents/Resources/git-cola
+	$(LN_S) $(PYTHON_DARWIN_APP) $(cola_app)/Contents/Resources/git-cola
 .PHONY: git-cola.app
 
 app-tarball: git-cola.app
@@ -196,8 +216,12 @@
 	$(FLAKE8) $(FLAKE8_FLAGS) $(PYTHON_SOURCES) $(PYTHON_DIRS)
 .PHONY: flake8
 
+pylint3k:
+	$(PYLINT) $(PYLINT_FLAGS) --py3k $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+.PHONY: pylint3k
+
 pylint:
-	$(PYLINT) $(PYLINT_FLAGS) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
+	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint
 
 requirements:

=== debian/changelog ===
git-cola (2.10-1ubuntu1) zesty; urgency=medium

  * Use dh_installchangelogs for now to fix FTBFS on buildds as
    relnotes.txt and changelogs are no longer generated at buildtime.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 09:43:49 +0530

git-cola (2.10-1) unstable; urgency=low

  * New upstream release (closes: #851721).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Jan 2017 20:50:23 +0000

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), python3-nose
Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 3.9.8
Homepage: http://git-cola.github.com/
Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
X-Python3-Version: >= 3.2

Package: git-cola
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
Recommends: gitk, xxdiff
Suggests: python3-pyinotify, python3-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_testroot
 	dh_clean build-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
+	find . -name "*.pyc" -delete
 	rm -f $(CURDIR)/share/doc/git-cola/_build/html/.buildinfo
 
 install: build
@@ -46,8 +47,8 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
+#	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
+#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## git-cola 2.11

=== Makefile ===
--- 
+++ 
@@ -224,7 +224,14 @@
 	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(PYTHON_SOURCES) $(ALL_PYTHON_DIRS)
 .PHONY: pylint
 
+pylint-check:
+	$(PYLINT) $(PYLINT_FLAGS) $(flags) $(file)
+.PHONY: pylint-check
+
 requirements:
-	$(PIP) install --requirement requirements.txt
-	$(PIP) install --requirement extras/requirements-dev.txt
+	$(PIP) install --requirement requirements/requirements.txt
 .PHONY: requirements
+
+requirements-dev:
+	$(PIP) install --requirement requirements/requirements-dev.txt
+.PHONY: requirements-dev

=== debian/changelog ===
git-cola (2.11-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use dh_installchangelogs to fix FTBFS on buildds as relnotes.txt and
      changelogs are no longer generated at buildtime.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 21:01:13 -0700

git-cola (2.11-2) unstable; urgency=medium

  * Upload to Sid.
  * Correct duplicate documentation removal (closes: #868751).
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Jul 2017 18:00:04 +0000

git-cola (2.11-1) experimental; urgency=medium

  * New upstream release.
  * Add dh-python build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 May 2017 15:54:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), python3-nose
+Build-Depends: debhelper (>= 10), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	dh_testroot
 	dh_installchangelogs 
 #	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/relnotes.txt
+#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## git-cola 3.0

=== Makefile ===
--- 
+++ 
@@ -87,7 +87,11 @@
 all:: build
 .PHONY: all
 
-build:
+build_version:
+	@GIT=$(GIT) ./extras/generate-build-version.sh 2>/dev/null || true
+.PHONY: build_version
+
+build: build_version
 	$(SETUP) build
 .PHONY: build

=== requirements/requirements.txt ===
argparse
qtpy
Sphinx; python_version >= '2.7'
Sphinx <= 1.3.4; python_version < '2.7'

=== debian/changelog ===
git-cola (3.0-1ubuntu1) bionic; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable.  Remaining changes:
    - use rm -rf for removing upstream changelog, as this might not be
      installed at all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Nov 2017 11:13:54 -0800

git-cola (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Install appdata files to correct location.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Nov 2017 17:39:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 10), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://git-cola.github.com/
 Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,16 @@
 	find . -name "*.pyc" -delete
 	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/cola/widgets/archive.py
 #	chmod a-x $(PKGDIR)/usr/share/git-cola/lib/qtpy/py3compat.py
+	mkdir $(PKGDIR)/usr/share/metainfo/
+	mv $(PKGDIR)/usr/share/appdata/*.xml $(PKGDIR)/usr/share/metainfo/
 
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-#	rm $(PKGDIR)/usr/share/doc/git-cola/changelog \
-#		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
+	rm -rf $(PKGDIR)/usr/share/doc/git-cola/changelog \
+		$(PKGDIR)/usr/share/doc/git-cola/html/sources/
 	dh_installdocs
 	dh_installexamples
 	dh_installman

=== debian/watch ===
version=3
https://github.com/git-cola/git-cola/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Thu, 22 Nov 2012 14:17:58 +0000

## git-cola 3.1

=== debian/changelog ===
git-cola (3.1-2) unstable; urgency=medium

  * Add python3-distutils as dependency (closes: #905294).
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 03 Aug 2018 01:36:43 +0000

git-cola (3.1-1) unstable; urgency=medium

  * New upstream release.
  * Prevent installation of upstream changelog (closes: #883216).
  * Disable Vcs-* fields for now (closes: #834801).
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Apr 2018 07:17:02 +0000

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-nose
Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 4.1.5
Homepage: http://git-cola.github.com/
#Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
X-Python3-Version: >= 3.2

Package: git-cola
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, python3-sip, git-core, libjs-jquery, libjs-underscore, libjs-modernizr
Recommends: gitk, xxdiff
Suggests: python3-pyinotify, python3-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index. 
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

## git-cola 3.2

=== debian/changelog ===
git-cola (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Sep 2018 18:40:59 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python3-nose
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://git-cola.github.com/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.4
 
 Package: git-cola
 Architecture: all
